The Voiso CDR API enables you to query call detail records from your account using various query parameters.
Parameter should be used to query more then 10000 records.
Indicates the current page number
Number of records per page
Include only record on or after this date. Must be in the 'YYYY-MM-DD' format (ISO 8601).
Include only record on or before this date. Must be in the 'YYYY-MM-DD' format (ISO 8601).
The call line identity (CLI) calling number. A 'starting with' search of the ANI/From field.
The called number. A 'starting with' search of the DNIS/To field.
The call line identity (CLI) calling number. An 'includes' search of the ANI/From field.
The called number. An 'includes' search of the DNIS/To field.
Direction and type of the interaction
Retrieved call outcome
Single or multiple queue IDs, separated by commas. These can be obtained with the /api/v2/cdr/queues method
Single or multiple agent IDs, separated by commas. These can be obtained with the /api/v2/cdr/agents method
Single or multiple agent team IDs, separated by commas. These can be obtained with the /api/v2/cdr/teams method
Single or multiple wrap-up code IDs, separated by commas. These can be obtained with the /api/v2/cdr/wrapup_codes method
Standard call events
Standard call end reasons
Single or multiple campaign IDs, separated by commas. These can be obtained with the /api/dialer/v1/campaigns method
Calls which have a duration longer than the specified value (in seconds)
Calls which have a duration shorter than the specified value (in seconds)
Calls which have a dialing time longer than the specified value (in seconds)
Calls which have a dialing time shorter than the specified value (in seconds)
Calls which have a talk time longer than the specified value (in seconds)
Calls which have a talk time shorter than the specified value (in seconds)
Calls which have a hold time longer than the specified value (in seconds)
Calls which have a hold time shorter than the specified value (in seconds)
Calls which have a pre-queue (IVR) time longer than the specified value (in seconds)
Calls which have a pre-queue (IVR) shorter than the specified value (in seconds)
Calls which have a queue time longer than the specified value (in seconds)
Calls which have a queue time shorter than the specified value (in seconds)
Single or multiple deleted (archived) agent IDs, separated by commas. These can be obtained with the /api/v2/cdr/deleted_agents method
Set to true to get only new numbers that have never been dialed before
Calls with a specified lead source type (available only for dialer campaigns with a specified lead source)
Must be in this format: 'YYYY-MM-DD'T'HH:MM:SS'.
Must be in this format: 'YYYY-MM-DD'T'HH:MM:SS'.
UUID of the call
UUID of the parent call if the callback was requested from the queue.
The name of destination country. Valid for outbound calls only.
Success
Calls 1
Call records array requested with page based pagination.
{
"page": 1,
"total": 5032,
"records": [
{
"agent": "Agent 1",
"from": "12345678912",
"disposition": "rejected",
"duration": "2024-10-24T12:00:00Z",
"queue_name": "string",
"to": "5001",
"timestamp": "2020-04-20T09:38:33Z",
"uuid": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"wrapup_code": "123",
"type": "outbound",
"agent_id": 1,
"cpc": 0.0053
}
]
}Calls 2
Call records array requested with search_token based pagination.
{
"total": 54032,
"page": 1,
"search_token": "WzE2NjkwMTcyNDkwMTUsImNkcl9p",
"records": [
{
"agent": "Agent 2",
"from": "12345678912",
"disposition": "rejected",
"duration": "2024-10-24T12:00:00Z",
"queue_name": "string",
"to": "5001",
"timestamp": "2020-04-20T09:38:33Z",
"uuid": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"wrapup_code": "123",
"type": "outbound",
"agent_id": 1,
"cpc": 0.0053
}
]
}SMS
SMS records array.
{
"page": 1,
"total": 1023,
"records": [
{
"agent": "Agent 3",
"disposition": "delivered",
"timestamp": "2021-10-28T12:09:39Z",
"uuid": "c9f1c9c1-0e30-498e-b67d-2a56f4340f99",
"type": "outbound_sms",
"agent_id": 1,
"sid": "442034045134",
"to": "5001",
"cpc": 0.0161,
"text": "Hi!",
"related_call": "a619cccc-b832-4896-9be4-3ff12c3a6770",
"template": null
}
]
}Telegram
Telegram records array.
{
"total": 54032,
"page": 1,
"search_token": "WzE2NjkwMTcyNDkwMTUsImNkcl9p",
"records": [
{
"agent": "Aleks Folk - Sales",
"disposition": "archived",
"duration": "2024-10-24T12:30:50Z",
"timestamp": "2022-12-15T02:56:56Z",
"uuid": "77182ede-8628-41b4-bf42-274cf7004e6c",
"type": "telegram",
"agent_id": 39322,
"queue": "TG Queue",
"from": "Alex Von",
"to": "Alex F TG channel",
"wrapup_code": "0000",
"cpc": 0.06,
"sla": {
"time_to_first_response": "2024-10-24T12:00:42Z",
"time_to_resolution": "2024-10-24T12:00:53Z",
"time_to_reply": "2024-10-24T12:00:24Z"
}
}
]
}Invalid query parameters
Key
Invalid or nonexistent User API Key
{
"error": "Invalid User API Key"
}Query
Invalid or nonexistent search query
{
"error": "Invalid CDR search query"
}